Debian Bug report logs - #473460
please make OPTIONS in /etc/default/bind9 configurable via debhelper

version graph

Package: bind9; Maintainer for bind9 is LaMont Jones <lamont@debian.org>; Source for bind9 is src:bind9.

Reported by: Patrick Winnertz <winnie@debian.org>

Date: Sun, 30 Mar 2008 19:36:01 UTC

Severity: wishlist

Tags: patch

Fixed in version bind9/1:9.5.0~rc1-1

Done: LaMont Jones <lamont@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please make OPTIONS in /etc/default/bind9 configurable via debhelper
Date: Sun, 30 Mar 2008 21:34:38 +0200
Package: bind9
Severity: wishlist

Hello,
Could you please make the default file for bind9 preseedable via
debhelper? 
Debian-edu have to modify this file in order to set up a working
skolelinux instance. So this is a blocker bug for our long standing
issue #311188. 

We'll submit a patch for this issue within the next days. It would be
cool if you could add this patch.

Thanks in advance
Patrick Winnertz
in behalf of the Debian-Edu Project

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Blocking bugs of 311188 added: 473460 Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2008 19:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #12 received at 473460@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 473460@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: patch for preseeding bind9
Date: Thu, 3 Apr 2008 22:28:22 +0200
[Message part 1 (text/plain, inline)]
Hello,

I've worked out during the worksession in extremadura a patch for bind in 
order to add support to preseed OPTIONS and RESOLVCONF. Please apply this 
patch to bind9... this bug is a blocker bug for our long standing bug 
311188.

Thanks in advance

Greetings
Winnie, in behalf of the Debian Edu Team.



-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #17 received at 473460@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 473460@bugs.debian.org
Cc: debian-edu@lists.debian.org
Subject: forgot patch
Date: Thu, 3 Apr 2008 22:47:35 +0200
[Message part 1 (text/plain, inline)]
Sorry, I forgot to attach the patch :)

Here it is.

Greetings
Winnie

-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[add-pressed-support.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Thu, 03 Apr 2008 23:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #24 received at 473460@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 473460@bugs.debian.org
Subject: improved version
Date: Fri, 4 Apr 2008 17:25:56 +0200
[Message part 1 (text/plain, inline)]
After preparing a patch for slapd and dhcp I reviewed the bind9 patch and 
improved it a bit. 
I would be glad if you could consider to include this new one.

Thanks in advance
Greetings 
Winnie
-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[bind9-preseed-patch.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #29 received at 473460@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 473460@bugs.debian.org
Subject: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 20:03:18 +0200
[Message part 1 (text/plain, inline)]
Hi LaMont,

could you please comment on this bug? It's really important for us to fix 
#311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work without 
problems for Debian Edu installations.

Thank you.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #34 received at 473460@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 473460@bugs.debian.org
Subject: Re: Bug#473460: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 14:16:45 -0600
On Sat, Apr 05, 2008 at 08:03:18PM +0200, Holger Levsen wrote:
> could you please comment on this bug? It's really important for us to fix 
> #311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work without 
> problems for Debian Edu installations.

I'll be working on adding some rational debconf options to bind9
tomorrow.

lamont




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #39 received at 473460@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 473460@bugs.debian.org
Cc: lamont@debian.org
Subject: any progress
Date: Wed, 9 Apr 2008 22:11:11 +0200
[Message part 1 (text/plain, inline)]
Hello Lamont,

You stated that you're working on that issue. Is there any progress? This 
is a blocker bug for our really important bug, therefore this have to be 
sorted out somehow.

Greetings
Winnie

-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://people.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
      Spamtrap: winnie@qsc218.credativ.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#473460; Package bind9. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #44 received at 473460@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 473460@bugs.debian.org
Subject: any news?
Date: Sat, 3 May 2008 13:29:32 +0200
[Message part 1 (text/plain, inline)]
Hi LaMont,

the Lenny freeze is approaching fast, any ETA when you will be able to fix 
this bug? We would really love to see it fixed in Lenny... also please shout 
if you need help...


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrick Winnertz <winnie@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #51 received at 473460-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 473460-close@bugs.debian.org
Subject: Bug#473460: fixed in bind9 1:9.5.0~rc1-1
Date: Mon, 09 Jun 2008 15:14:45 +0000
Source: bind9
Source-Version: 1:9.5.0~rc1-1

We believe that the bug you reported is fixed in the latest version of
bind9, which is due to be installed in the Debian FTP archive:

bind9-doc_9.5.0~rc1-1_all.deb
  to pool/main/b/bind9/bind9-doc_9.5.0~rc1-1_all.deb
bind9-host_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/bind9-host_9.5.0~rc1-1_i386.deb
bind9_9.5.0~rc1-1.diff.gz
  to pool/main/b/bind9/bind9_9.5.0~rc1-1.diff.gz
bind9_9.5.0~rc1-1.dsc
  to pool/main/b/bind9/bind9_9.5.0~rc1-1.dsc
bind9_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/bind9_9.5.0~rc1-1_i386.deb
bind9_9.5.0~rc1.orig.tar.gz
  to pool/main/b/bind9/bind9_9.5.0~rc1.orig.tar.gz
bind9utils_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/bind9utils_9.5.0~rc1-1_i386.deb
dnsutils_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/dnsutils_9.5.0~rc1-1_i386.deb
libbind-dev_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libbind-dev_9.5.0~rc1-1_i386.deb
libbind9-40_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libbind9-40_9.5.0~rc1-1_i386.deb
libdns42_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libdns42_9.5.0~rc1-1_i386.deb
libisc41_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libisc41_9.5.0~rc1-1_i386.deb
libisccc40_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libisccc40_9.5.0~rc1-1_i386.deb
libisccfg40_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/libisccfg40_9.5.0~rc1-1_i386.deb
liblwres40_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/liblwres40_9.5.0~rc1-1_i386.deb
lwresd_9.5.0~rc1-1_i386.deb
  to pool/main/b/bind9/lwresd_9.5.0~rc1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated bind9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 May 2008 17:59:54 -0600
Source: bind9
Binary: bind9 bind9utils bind9-doc bind9-host libbind-dev libbind9-40 libdns42 libisc41 liblwres40 libisccc40 libisccfg40 dnsutils lwresd
Architecture: all i386 source 
Version: 1:9.5.0~rc1-1
Distribution: experimental
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Description: 
 bind9      - Internet Domain Name Server
 bind9-doc  - Documentation for BIND
 bind9-host - Version of 'host' bundled with BIND 9.X
 bind9utils - Utilities for BIND
 dnsutils   - Clients provided with BIND
 libbind-dev - Static Libraries and Headers used by BIND
 libbind9-40 - BIND9 Shared Library used by BIND
 libdns42   - DNS Shared Library used by BIND
 libisc41   - ISC Shared Library used by BIND
 libisccc40 - Command Channel Library used by BIND
 libisccfg40 - Config File Handling Library used by BIND
 liblwres40 - Lightweight Resolver Library used by BIND
 lwresd     - Lightweight Resolver Daemon
Closes: 473460
Launchpad-Bugs-Fixed: 203087 204658
Changes: 
 bind9 (1:9.5.0~rc1-1) experimental; urgency=low
 .
   [Patrick Winnertz]
 .
   * postinst: make add debconf support.  Closes: #473460
 .
   [Jamie Strandboge]
 .
   * debian/bind9.preinst: Apparmor force-complain on upgrade without
     existing profile.  LP: #204658
 .
   [LaMont Jones]
 .
   * bind9utils: fix typos in .install
   * host: manpage inaccurately describes default query.  LP: #203087
   * apparmor: add dnscvsutil package files
   * Revert "Only use capabilities if they are present." for merge of 9.5.0rc1.
   * soname: libdns41 -> 42
   * fix typos in debconf patch, #473460
   * cleanup more files in clean target
   * lwresd Depends: adduser
Files: 
 13c3ba12993585f1605941037a258332 23348 libs optional libisccc40_9.5.0~rc1-1_i386.deb
 26ba0a02275cf0f9b05d439ced352bc1 1109766 libdevel optional libbind-dev_9.5.0~rc1-1_i386.deb
 37b49c402b28b6917b4b8d2c48d6f813 39734 libs optional libisccfg40_9.5.0~rc1-1_i386.deb
 3a329e05c3894b6d68947025e9ea55a9 44740 net standard bind9-host_9.5.0~rc1-1_i386.deb
 3b7df0c2422610f07f81cee14909adae 250938 net optional bind9_9.5.0~rc1-1.diff.gz
 4cfceba8f22a263c6938a42c274dbfa6 113244 net standard dnsutils_9.5.0~rc1-1_i386.deb
 5442ffe340d0c647a2c50d5bd464f980 169940 net optional lwresd_9.5.0~rc1-1_i386.deb
 76a28ae0bc28102565cbd4b363748beb 522764 libs standard libdns42_9.5.0~rc1-1_i386.deb
 7fcfec2f4a99e178d7d42b770483d7e6 40374 libs standard liblwres40_9.5.0~rc1-1_i386.deb
 9041a2605b9337a7c945b5e5ffaba37a 86514 net optional bind9utils_9.5.0~rc1-1_i386.deb
 9254740e474d7a96c765804f624f350e 5194476 net optional bind9_9.5.0~rc1.orig.tar.gz
 ef666f9e6b58ab894212f8fe57610faa 893 net optional bind9_9.5.0~rc1-1.dsc
 c9772bc0898a242bdcec3506ab2d81c4 136698 libs standard libisc41_9.5.0~rc1-1_i386.deb
 d01a556e3d456ac105d51f55faeec4cc 212606 net optional bind9_9.5.0~rc1-1_i386.deb
 e02057a4f546b7a22f13957d166f5d19 253434 doc optional bind9-doc_9.5.0~rc1-1_all.deb
 f9ae6dd3785d8e43958ff225a736613f 28276 libs standard libbind9-40_9.5.0~rc1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIOiemzN/kmwoKyScRAmwyAJ4uJWSiJwinRAMia16A+VQrVQhwSQCfUII3
x8xuc0cQJrsTzF/HJDo0t9s=
=8XqS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jul 2008 07:38:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:20:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.